import request from "@/utils/request"

// 获取菜单树
export function getMenuTree(systemCode) {
    return request({
        url: "/qdport-system/sys/menu/menuManage",
        method: "GET",
        params: {
            systemCode
        },
    })
}
//新增
export function addMenu(data) {
    return request({
        url: "/qdport-system/sys/menu/add",
        method: "post",
        headers: {
            "Content-Type": "application/x-www-form-urlencoded"
        },
        data
    })
}
//修改
export function modMenu(data) {
    return request({
        url: "/qdport-system/sys/menu/update",
        method: "post",
        headers: {
            "Content-Type": "application/x-www-form-urlencoded"
        },
        data
    })
}
//删除
export function delMenu(params) {
    return request({
        url: "/qdport-system/sys/menu/delete",
        method: "post",
        params
    })
}
